Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  AutoCAD Civil 3D
  Böschungsschraffur - DACH-Extension

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Böschungsschraffur - DACH-Extension (1367 mal gelesen)
tobwo
Mitglied
Dipl. Bauingenieur


Sehen Sie sich das Profil von tobwo an!   Senden Sie eine Private Message an tobwo  Schreiben Sie einen Gästebucheintrag für tobwo

Beiträge: 476
Registriert: 08.09.2006

Windows W10 64bit 8GB
Civil3D 2018 / 2019
HEC-RAS

erstellt am: 21. Jun. 2017 09:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo

Das Erstellen der Böschungsschffur mit dem Tool aus der DACH Extension ist ja ganz gut.
Aber ich habe ein Problem, wenn ich die Schraffur händisch bearbeiten möchte, weil nicht alle Linien so sind wie ich diese haben möchte. 
Bei dem nächsten REGENALL, ist alles so wie es war.   
Auch wenn man die Linien (Oberkante / Unterkante) ändert wird die Böschungsschraffur aktualisiert.

Kann man das Verhalten unterbinden?
Kann man die Böschungsschraffur wie ein Block zerlegen?
Was macht ihr?

------------------
MFG
Tobias

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADsolutions
Mitglied
Maler und Kaschierer


Sehen Sie sich das Profil von CADsolutions an!   Senden Sie eine Private Message an CADsolutions  Schreiben Sie einen Gästebucheintrag für CADsolutions

Beiträge: 402
Registriert: 04.01.2013

AutoCAD Civil 3D 2018.2
Windows 7 64bit

erstellt am: 21. Jun. 2017 15:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tobwo 10 Unities + Antwort hilfreich

Ich traue der Böschungsschraffur dee DACH nicht. Da kann es schon passieren,
dass man zB nur eine Layereinstellung der betreffenden Elementkannte ändert und sich die Schraffur dabei zerballert. Ich verwende seid eh und je ein Lisp-tool:

;;;  BOESCH.LSP         
;;; 
;;;  10.11.1997 (c) Christoph Candido, Wien
;;;  E-Mail: h8540418@edv1.boku.ac.at
;;;
;;;  Boeschungssignaturen erstellen.
;;;
(defun C:BOESCH (/ *boesch_err* getent getd oerr oech obm en1 en2 d
                  ss ssneu ssd i en ent pt1 pt2 pt3 ang j)

  (defun *boesch_err* (s)  ; Fehlerroutine
    (setq *error* oerr)
    (if (and en1 (/= "" en1)) (redraw (car en1)))
    (if (and en2 (/= "" en2)) (redraw (car en2)))
    (command "_.UNDO" "_End")
    (setvar "CMDECHO" oech)
    (setvar "BLIPMODE" obm)
    (princ)
  ) 

  (defun getent (txt / en)
    (princ txt)
    (initget " ")
    (while (not (setq en (entsel "")))
      (initget " ")
    )
    en
  )

  ;; (getd <txt> )
  ;; erweiterte (getdist) Funktion
  ;;
  (defun getd (txt / cont pt1 pt2 d)
    (setq cont T)
    (while cont
      (initget 128)
      (setq pt1 (getpoint txt))
      (cond
        ( (null pt1) (setq cont nil))
        ( (= 'LIST (type pt1))
          (setq pt2
            (getpoint pt1 "\nZweiter Punkt (nach links = neg. Abstand): ")
          )
          (if pt2
            (progn
              (setq d (distance pt1 pt2))
              (if (> (car pt1) (car pt2))
                (setq d (- d))
              )
              (setq cont nil)
            )
          )
        )
        ( (setq d (distof pt1))
          (setq cont nil)
        )
      )
    )
    d
  )

  (setq oerr *error*
        *error* *boesch_err*
        oech (getvar "CMDECHO")
        obm (getvar "BLIPMODE")
  )
  (setvar "CMDECHO" 0)
  (setvar "BLIPMODE" 0)

  (setq en1 (getent "\nObere Grenzkante picken: "))
  (if (/= "" en1)
    (progn
      (redraw (car en1) 3)
      (setq en2 (getent "\nUntere Grenzkante picken: "))
      (if (/= "" en2)
        (progn
          (redraw (car en2) 3)
          (setq d (getd (strcat "\nSchraffurabstand (neg. Abstand wechselt "
                                "die Richtung): ")))
          (if d
            (progn
              (if (= 0 (getvar "UNDOCTL")) (command "_.UNDO" "_All"))
              (command "_.UNDO" "_End" "_.UNDO" "_Group")

              ;; Blockdefinition fuer temp. Linienbloecke erzeugen:
              (entmake '((0 . "BLOCK")(2 . "BOESCH")(10 0.0 0.0 0.0)(70 . 0)))
              (entmake
                (list
                  '(0 . "LINE")
                  '(8 . "0")
                  '(10 0.0 0.0 0.0)
                  (if (minusp d)
                    '(11 0.0 0.0001 0.0)
                    '(11 0.0 -0.0001 0.0)
                  )
                )
              )
              (entmake '((0 . "ENDBLK")))

              ;; temp. Linienbloecke einfuegen:
              (command "_.MEASURE" en1 "_Block" "BOESCH" "_Y" (abs d))
              (setq ss (ssget "_P")
                    ssneu (ssadd)
                    i 0
              )
              ;; temp. Linienbloecke explodieren:
              (while (setq en (ssname ss i))
                (command "_.EXPLODE" en)
                (setq en (entlast)
                      ssneu (ssadd en ssneu)
                      i (1+ i)
                )
              ) 
     
              (setq i 0
                    j 1
                    ss (ssadd)
                    ssd (ssadd)
              )
              ;; Linien dehnen und kuerzen:
              (command "_.EXTEND" en2 "")
              (while (setq en (ssname ssneu i))
                (setq i (1+ i)
                      ent (entget en)
                      pt1 (cdr (assoc 10 ent))
                      pt2 (cdr (assoc 11 ent))
                )
                (command (list en (trans pt2 0 1)))
                (if (equal pt2 (setq pt3 (cdr (assoc 11 (setq ent (entget en '("*")))))) 0.00001)
                  (ssadd en ssd)
                  (if (= j 1)
                    (progn
                      (ssadd en ss)
                      (setq j 0)
                    )
                    (setq j (1+ j))
                  )
                ) 
              )
              (command)
              (setq i 0)
              (while (setq en (ssname ss i))
                (setq ent (entget en)
                      pt1 (cdr (assoc 10 ent))
                      pt2 (cdr (assoc 11 ent))
                        d (/ (distance pt1 pt2) 2)
                      ang (angle pt1 pt2)
                      pt2 (polar pt1 ang d)
                      ent (subst (cons 11 pt2) (assoc 11 ent) ent)
                        i (1+ i)
                )
                (entmod ent)
              )
              (setq i 0)
              (while (setq en (ssname ssd i))
                (entdel en)
                (setq i (1+ i))
              )

              ;;  Signaturen gruppieren (Rel.13/14)
              (command "_.-GROUP" "_Create" "*" "Boeschung" ssneu "")

              (command "_.UNDO" "_End")
            )
          )
        )
      )
    )   
  )
  (if (and en1 (/= "" en1)) (redraw (car en1) 4))
  (if (and en2 (/= "" en2)) (redraw (car en2) 4))
  (setvar "CMDECHO" oech)
  (setvar "BLIPMODE" obm)
  (setq *error* oerr)
  (princ)
)
(princ "\n********************************")
(princ "\n(c)1997 Christoph Candido, Wien")
(princ "\nE-Mail: h8540418@edv1.boku.ac.at")
(princ "\n********************************")
(princ "\nBoeschungssignaturen generieren ")
(princ "\nAufruf: BOESCH ")
(princ)

Funzt auch im Standard-ACAD!

Gruß
CADso

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Urbat
Mitglied



Sehen Sie sich das Profil von Urbat an!   Senden Sie eine Private Message an Urbat  Schreiben Sie einen Gästebucheintrag für Urbat

Beiträge: 89
Registriert: 09.05.2011

IDSP 2018
Tiffany (Kanalkataster)

erstellt am: 22. Jun. 2017 09:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tobwo 10 Unities + Antwort hilfreich

Moin,

bei Civil 3D gibt es die versteckte Funktion BÖSCHUNG.
Einfach mal eintippen. Funktioniert ähnlich wie das Tool BOESCH von CADso, nur dass ein Block erstellt wird.

Gruß
Urbat

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

RL13
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Bauwesen


Sehen Sie sich das Profil von RL13 an!   Senden Sie eine Private Message an RL13  Schreiben Sie einen Gästebucheintrag für RL13

Beiträge: 2373
Registriert: 23.10.2008

Civil 3D 2018.1
Civil 3D 2016 64 Bit SP 3
mit DACH und Extensions
W7 Professional 64Bit
HP Z440
Intel Xeon CPU E5-1620 v4
32 GB RAM
NVIDIA Quadro P4000

erstellt am: 22. Jun. 2017 10:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tobwo 10 Unities + Antwort hilfreich

Böschungsschraffuren aus den DACH-Extension sind für mich auch immer noch ein Rätsel (wie die programmiert wurden )aber vielleicht hilft die Vorgehensweise:

https://ww3.cad.de/foren/ubb/Forum461/HTML/001528.shtml#000003

------------------
mfg Roman

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tobwo
Mitglied
Dipl. Bauingenieur


Sehen Sie sich das Profil von tobwo an!   Senden Sie eine Private Message an tobwo  Schreiben Sie einen Gästebucheintrag für tobwo

Beiträge: 476
Registriert: 08.09.2006

Windows W10 64bit 8GB
Civil3D 2018 / 2019
HEC-RAS

erstellt am: 22. Jun. 2017 10:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke für den Link. Der hilft weiter. 

------------------
MFG
Tobias

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

fredvomjupiter
Mitglied
Bautechniker Tiefbau


Sehen Sie sich das Profil von fredvomjupiter an!   Senden Sie eine Private Message an fredvomjupiter  Schreiben Sie einen Gästebucheintrag für fredvomjupiter

Beiträge: 701
Registriert: 06.03.2009

terra
Intel Core i7-4790 3.60GHz,
32GB RAM, NVIDIA Quadro K2000
Win10 64bit
- AEC 2018-2019
- cseTools
- KobiToolkit

erstellt am: 22. Jun. 2017 11:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tobwo 10 Unities + Antwort hilfreich

Hallo zusammen!

@Urbat: Also bei mir gibt es den Befehl Böschung nicht.

Zur Ergänzung der Liste der Möglichkeiten eine Böschungsschraffur zu generieren:
HIERMIT gehts sogar dreidimensional

Und fünf Dollar ist überschaubar.

Der Vorteil ist für mich hier, dass die Schraffuren dreidimensional erzeugt werden.

------------------
Grüße!
Michl

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz